Purchase ArabBible 5.24 – Mac
ArabBible for Mac runs on Apple's newest operating system: Mojave (macOS 10.14), as well as on older versions: High Sierra (macOS 10.13), Sierra (macOS 10.12), El Capitan (OS X 10.11), Yosemite (OS X 10.10) and Mavericks (OS X 10.9). And remember, once you purchase ArabBible, updates are always free!
ArabBible 5.24 – Mac
$ 0.00